> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get official template schema



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json get /loom/v1/officialTemplates/{officialTemplate}/schema
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/officialTemplates/{officialTemplate}/schema:
    get:
      tags:
        - Official Templates
      summary: Get official template schema
      parameters:
        - name: officialTemplate
          in: path
          description: Official template ID
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.officialTemplateSchemaResponse'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth1: []
components:
  schemas:
    server.officialTemplateSchemaResponse:
      type: object
      properties:
        columns:
          type: array
          items:
            $ref: '#/components/schemas/server.officialTemplateColumn'
        description:
          type: string
        fields:
          type: array
          items:
            $ref: '#/components/schemas/server.officialTemplateField'
        inputSummary:
          type: string
        instructions:
          type: array
          items:
            type: string
        name:
          type: string
        outputType:
          type: string
        sampleRows:
          type: array
          items:
            $ref: '#/components/schemas/server.officialTemplateSampleRow'
        scenario:
          type: string
        templateId:
          type: string
        version:
          type: string
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
    server.officialTemplateColumn:
      type: object
      properties:
        fieldKey:
          type: string
        headerLabel:
          type: string
        order:
          type: integer
    server.officialTemplateField:
      type: object
      properties:
        acceptedInputKinds:
          type: array
          items:
            type: string
        acceptedMimeTypes:
          type: array
          items:
            type: string
        businessHint:
          type: string
        enumValues:
          type: array
          items:
            type: string
        examples:
          type: array
          items:
            type: string
        inputHint:
          type: string
        key:
          type: string
        label:
          type: string
        multiValue:
          type: boolean
        required:
          type: boolean
        scope:
          type: string
        type:
          type: string
    server.officialTemplateSampleRow:
      type: object
      properties:
        values:
          type: object
          additionalProperties:
            type: string
          properties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
    BearerAuth1:
      description: 'Use `Authorization: Bearer <api-token>`.'
      type: apiKey
      name: Authorization
      in: header

````